curl -X DELETE https://api.upliftai.org/v1/realtime-assistants/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const assistantId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(`https://api.upliftai.org/v1/realtime-assistants/${assistantId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
}
});
if (response.status === 204) {
console.log('Assistant deleted successfully');
}
204 No Content
API Reference (Beta)
Delete Realtime Assistant
Delete a realtime assistant configuration
DELETE
/
v1
/
realtime-assistants
/
{realtimeAssistantId}
curl -X DELETE https://api.upliftai.org/v1/realtime-assistants/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const assistantId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(`https://api.upliftai.org/v1/realtime-assistants/${assistantId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
}
});
if (response.status === 204) {
console.log('Assistant deleted successfully');
}
204 No Content
Beta Feature: This endpoint is currently in beta. Features and specifications may change.
Deleting an assistant will prevent new sessions from being created, but will not affect currently active sessions.
string
required
The unique identifier of the assistant to delete
curl -X DELETE https://api.upliftai.org/v1/realtime-assistants/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const assistantId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(`https://api.upliftai.org/v1/realtime-assistants/${assistantId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
}
});
if (response.status === 204) {
console.log('Assistant deleted successfully');
}
204 No Content
